Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.error
Class Error

    java.lang.Object
      rdlc.error.Error

    public class Error

extends java.lang.Object

Neatly encapsulates the error message, the compiler phase during which it occured and most importantly the location at which the error occured. Provides a human readable output which identifies the input RDL which resulted in the error. Notice that not all error messages, especially those in the back end, will have a useful RDL text location.

Version:
  $Revision: 1.13 $
Author:
  Greg Gibeling

Nested Class Summary
`static class` | `Error.Phase` Iterator of the phases of compilation an error can occur in.
`static class` | `Error.Severity` Iterator of the possible error severities.

Field Summary
`protected ErrorLocation` | `errorLocation` The source RDL location at which the error was discovered.
`protected java.lang.String` | `message` The error message itself.
`protected Error.Phase` | `phase` The compiler phase during which the error was discovered.
`protected Error.Severity` | `severity` The severity of the error, should be one of the listed severity constants.

Constructor Summary
`Error(Error.Severity _severity, Error.Phase _phase, ErrorLocation _errorLocation, java.lang.String _message)` Create a complete error message.
`Error(java.lang.String _message)` Create a basic error with no severity, phase or location.

Method Summary
`Error.Phase` | `getPhase()` Simple accessor.
`boolean` | `isError()` Simple test to determine if this is an error or just a warning.
`java.lang.String` | `toString()` Convert this error message to a human readable form, which let the user know what needs to be fixed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### severity

    protected Error.Severity severity

  The severity of the error, should be one of the listed severity constants.

### phase

    protected Error.Phase phase

  The compiler phase during which the error was discovered.

### errorLocation

    protected ErrorLocation errorLocation

  The source RDL location at which the error was discovered.

### message

    protected java.lang.String message

  The error message itself. In the future it would be nice to make this an index into a string table somewhere, for portability and documentation reasons.

Constructor Detail

### Error

    public Error(java.lang.String _message)

  Create a basic error with no severity, phase or location. Only very severe errors should be of this type. Otherwise a more specific constructor should be used.

  Parameters:
    `_message` - The error message

### Error

    public Error(Error.Severity _severity,
                 Error.Phase _phase,
                 ErrorLocation _errorLocation,
                 java.lang.String _message)

  Create a complete error message. Store the severity, phase, location and message for this error. This is the constructor of choice.

  Parameters:
    `_severity` - The severity of the error.
    `_phase` - The compiler phase during which the error was discovered.
    `_errorLocation` - The source RDL location of the error.
    `_message` - The error message.

Method Detail

### toString

    public java.lang.String toString()

  Convert this error message to a human readable form, which let the user know what needs to be fixed. Includes a standard format for all the information. In the future it would be nice to upgrade this to HTML or XML output for better reporting.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A human readable report of this error.
  See Also:
    `Object.toString()`

### isError

    public boolean isError()

  Simple test to determine if this is an error or just a warning.

  Returns:
    `true` if this is an error or a fatal error. `false` if this is a warning or information.

### getPhase

    public Error.Phase getPhase()

  Simple accessor.

  Returns:
    The phase in which this error occured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD